<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\KuferTools\Mitarbeiter\AdressInfo\UpdateAdress;

class UpdateAdressController extends \Kufer\KuferTools\Basis\Controller\AjaxNoContainerToolController
{
  protected function getUseCase(): \Kufer\KuferTools\Basis\UseCase\UseCase
  {
    return new UpdateAdressUseCase(
      $this->getRequestObj()
    );
  }

  protected function getRequestObj()
  {
    $requestObj = new UpdateAdressRequest();
    $requestObj->anr = \GetOperations::getVarValue('anr');
    $requestObj->aguid = \GetOperations::getVarValue('aguid', null);

    return $requestObj;
  }

  protected function getPresenter($pUseCaseResponse)
  {
    return new UpdateAdressPresenter($pUseCaseResponse);
  }
}